
Ruby - Feature #481

improved gcd for 1.9

08/24/2008 04:07 AM - Anonymous

Status: Rejected   

Priority: Normal   

Assignee: yugui (Yuki Sonoda)   

Target version: 1.9.0-5   

Description

=begin

Mentioned here:

http://rubyforge.org/tracker/?group_id=426&atid=1698&func=detail&aid=19034

This improves gcd performance by about 300%

I assume this patch is still valid, if not I could come up with a new one.

Thanks!

-=R

=end

History

#1 - 09/03/2008 06:55 PM - ko1 (Koichi Sasada)

- Assignee set to yugui (Yuki Sonoda)

=begin

=end

#2 - 09/28/2008 04:33 PM - yugui (Yuki Sonoda)

- Target version set to 1.9.0-5

=begin

=end

#3 - 09/28/2008 06:04 PM - yugui (Yuki Sonoda)

- Category set to lib

- Status changed from Open to Rejected

=begin

I think embedding of Rational already made same result. It internally uses long type of C for Fixnums.

This patch may be still meaningful for 1.8. But extension of Fixnum needs discussion.

=end
